Botan 1.10.17

openpgp.h
Go to the documentation of this file.
1 /*
2 * OpenPGP Codec
3 * (C) 1999-2007 Jack Lloyd
4 *
5 * Distributed under the terms of the Botan license
6 */
7
8 #ifndef BOTAN_OPENPGP_CODEC_H__
9 #define BOTAN_OPENPGP_CODEC_H__
10
11 #include <botan/data_src.h>
12 #include <string>
13 #include <map>
14
15 namespace Botan {
16
17 /**
18 * @param input the input data
19 * @param length length of input in bytes
20 * @param label the human-readable label
21 * @param headers a set of key/value pairs included in the header
22 */
23 BOTAN_DLL std::string PGP_encode(
24 const byte input[],
25 size_t length,
26 const std::string& label,
27 const std::map<std::string, std::string>& headers);
28
29 /**
30 * @param input the input data
31 * @param length length of input in bytes
32 * @param label the human-readable label
33 */
34 BOTAN_DLL std::string PGP_encode(
35 const byte input[],
36 size_t length,
37 const std::string& label);
38
39 /**
40 * @param source the input source
41 * @param label is set to the human-readable label
42 * @param headers is set to any headers
43 * @return decoded output as raw binary
44 */
45 BOTAN_DLL SecureVector<byte> PGP_decode(
46 DataSource& source,
47 std::string& label,
48 std::map<std::string, std::string>& headers);
49
50 /**
51 * @param source the input source
52 * @param label is set to the human-readable label
53 * @return decoded output as raw binary
54 */
55 BOTAN_DLL SecureVector<byte> PGP_decode(
56 DataSource& source,
57 std::string& label);
58
59 }
60
61 #endif
Botan::PGP_decode
SecureVector< byte > PGP_decode(DataSource &source, std::string &label, std::map< std::string, std::string > &headers)
Definition: openpgp.cpp:70
Botan::PGP_encode
std::string PGP_encode(const byte input[], size_t length, const std::string &label, const std::map< std::string, std::string > &headers)
Definition: openpgp.cpp:19
Botan::byte
unsigned char byte
Definition: types.h:22
Botan
Definition: algo_base.h:14